Skip to content

Multipart Upload

All operations require authentication.

7 operationsv2/publicCloud/project
View as Markdown (opens in a new tab)
Agent setup

List multipart uploadsProduction

GET
/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/multipartUpload

Returns the multipart uploads in progress in the bucket, meaning those not yet completed or aborted.

Path parameters

bucketName
required
string

Bucket name

projectId
required
string

Project ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200MultipartUpload[]successful operation
createdAt
read-only
stringdate-time

Multipart upload initiation timestamp

id
read-only
string

Unique identifier of the multipart upload

key
read-only
string

Object key (path within the bucket)

storageClass
read-only
StorageClassEnum

Storage class of the object

ValuesDEEP_ARCHIVEGLACIER_IRHIGH_PERFSTANDARDSTANDARD_IA
404objectError 404 response

Example uses bucketName = string, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/multipartUpload \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "id": "string", "key": "string", "storageClass": "DEEP_ARCHIVE" }]

Start a multipart uploadProduction

POST
/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/multipartUpload

Starts uploading a large object in several parts. Returns the upload identifier used by the next calls.

Path parameters

bucketName
required
string

Bucket name

projectId
required
string

Project ID

Request body (required)

key
required
string

Object key (path within the bucket)

storageClass
StorageClassEnum

Storage class of the object

ValuesDEEP_ARCHIVEGLACIER_IRHIGH_PERFSTANDARDSTANDARD_IA

Response

200MultipartUploadsuccessful operation
createdAt
read-only
stringdate-time

Multipart upload initiation timestamp

id
read-only
string

Unique identifier of the multipart upload

key
read-only
string

Object key (path within the bucket)

storageClass
read-only
StorageClassEnum

Storage class of the object

ValuesDEEP_ARCHIVEGLACIER_IRHIGH_PERFSTANDARDSTANDARD_IA
404objectError 404 response

Example uses bucketName = string, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/multipartUpload \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "id": "string", "key": "string", "storageClass": "DEEP_ARCHIVE"}

Get a multipart uploadProduction

GET
/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/multipartUpload/{id}

Returns the details of a multipart upload in progress.

Path parameters

bucketName
required
string

Bucket name

id
required
string

Id

projectId
required
string

Project ID

Response

200MultipartUploadsuccessful operation
createdAt
read-only
stringdate-time

Multipart upload initiation timestamp

id
read-only
string

Unique identifier of the multipart upload

key
read-only
string

Object key (path within the bucket)

storageClass
read-only
StorageClassEnum

Storage class of the object

ValuesDEEP_ARCHIVEGLACIER_IRHIGH_PERFSTANDARDSTANDARD_IA
404objectError 404 response

Example uses bucketName = string, id = string, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/multipartUpload/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "id": "string", "key": "string", "storageClass": "DEEP_ARCHIVE"}

List object multipart uploadsProduction

GET
/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/object/{key}/multipartUpload

Returns the multipart uploads in progress for the object.

Path parameters

bucketName
required
string

Bucket name

key
required
string

Key

projectId
required
string

Project ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200MultipartUpload[]successful operation
createdAt
read-only
stringdate-time

Multipart upload initiation timestamp

id
read-only
string

Unique identifier of the multipart upload

key
read-only
string

Object key (path within the bucket)

storageClass
read-only
StorageClassEnum

Storage class of the object

ValuesDEEP_ARCHIVEGLACIER_IRHIGH_PERFSTANDARDSTANDARD_IA
404objectError 404 response

Example uses bucketName = string, key = string, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/object/{key}/multipartUpload \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "id": "string", "key": "string", "storageClass": "DEEP_ARCHIVE" }]

Get an object multipart uploadProduction

GET
/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/object/{key}/multipartUpload/{id}

Returns the details of a multipart upload in progress for the object.

Path parameters

bucketName
required
string

Bucket name

id
required
string

Id

key
required
string

Key

projectId
required
string

Project ID

Response

200MultipartUploadsuccessful operation
createdAt
read-only
stringdate-time

Multipart upload initiation timestamp

id
read-only
string

Unique identifier of the multipart upload

key
read-only
string

Object key (path within the bucket)

storageClass
read-only
StorageClassEnum

Storage class of the object

ValuesDEEP_ARCHIVEGLACIER_IRHIGH_PERFSTANDARDSTANDARD_IA
404objectError 404 response

Example uses bucketName = string, id = string, key = string, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/object/{key}/multipartUpload/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "id": "string", "key": "string", "storageClass": "DEEP_ARCHIVE"}

List multipart upload partsProduction

GET
/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/object/{key}/multipartUpload/{id}/parts

Returns the parts already uploaded for a multipart upload.

Path parameters

bucketName
required
string

Bucket name

id
required
string

Id

key
required
string

Key

projectId
required
string

Project ID

Response

200MultipartUploadPartssuccessful operation
parts
read-only
MultipartUploadPart[]

Array of uploaded parts

storageClass
read-only
StorageClassEnum

Storage class of the object

ValuesDEEP_ARCHIVEGLACIER_IRHIGH_PERFSTANDARDSTANDARD_IA
404objectError 404 response

Example uses bucketName = string, id = string, key = string, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/object/{key}/multipartUpload/{id}/parts \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "parts": [ { "etag": "string", "lastModifiedAt": "2024-01-01T12:00:00Z", "number": 0, "size": 0 } ], "storageClass": "DEEP_ARCHIVE"}

Abort a multipart uploadProduction

DELETE
/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/object/{key}/multipartUpload/{id}

Stops the upload and deletes the parts already uploaded. No object is created.

Path parameters

bucketName
required
string

Bucket name

id
required
string

Id

key
required
string

Key

projectId
required
string

Project ID

Response

200—successful operation

Example uses bucketName = string, id = string, key = string, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/object/{key}/multipartUpload/{id} \
  -H "authorization: Bearer $OVH_TOKEN"